package tests.com.fusionlink
{
	import flexunit.framework.TestCase;
	import com.fusionlink.Room;
	
	public class RoomTest extends TestCase
	{

		public var room:Room = new Room();
		
       public function RoomTest( methodName : String = null ){
			super( methodName );
		}

		//the test fixtures            
		override public function setUp() : void{
			room.setSeats(5);
			room.setTaken(5);
		}

		override public function tearDown() : void{
			room.setSeats(0);
			room.setTaken(0);
		}

		//the test assertions

		//test setSeats method
		public function testSeats():void{
    		assertEquals(5, room.setSeats(5));
		}

		public function testOverLimit():void{
			assertEquals("bug 6789","error",room.addStudent(1));			
		}				

		public function testUnderLimit():void{
			assertEquals("bug 6790","error",room.removeStudent(6));			
		}				

	}
}